## org.codehaus.groovy.reflection
Class MixinInMetaClass

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap<K,V>
              org.codehaus.groovy.util.ManagedConcurrentMap
                  org.codehaus.groovy.reflection.MixinInMetaClass

    public class MixinInMetaClass

extends ManagedConcurrentMap

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`ManagedConcurrentMap.Entry<K,V>, ManagedConcurrentMap.EntryWithValue<K,V>, ManagedConcurrentMap.Segment<K,V>`

Field Summary

Fields inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`bundle`

Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`MAXIMUM_CAPACITY, segments`

Constructor Summary
`MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)`

Method Summary
`boolean` `equals(Object o)`
`CachedClass` `getInstanceClass()`
`CachedClass` `getMixinClass()`
`Object` `getMixinInstance(Object object)`
`int` `hashCode()`
`static void` `mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)`
`void` `setMixinInstance(Object object, Object mixinInstance)`

Methods inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`createSegment`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap
`get, getOrPut, put, remove, segmentFor`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`fullSize, hash, size`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixinInMetaClass

    public MixinInMetaClass(ExpandoMetaClass emc,
                            CachedClass mixinClass)

Method Detail

### getMixinInstance

    public Object getMixinInstance(Object object)

### setMixinInstance

    public void setMixinInstance(Object object,
                                 Object mixinInstance)

### getInstanceClass

    public CachedClass getInstanceClass()

### getMixinClass

    public CachedClass getMixinClass()

### mixinClassesToMetaClass

    public static void mixinClassesToMetaClass(MetaClass self,
                                               List<Class> categoryClasses)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2003-2009 The Codehaus. All rights reserved.